import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interphase
 */
declare const TextField: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        placeholder: PropTypes.Requireable<string>;
        phase: PropTypes.Requireable<string>;
        name: PropTypes.Validator<string>;
        value: PropTypes.Requireable<string>;
        id: PropTypes.Validator<string>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        placeholder: string;
        phase: string;
        value: undefined;
        onChange: undefined;
    } | {
        placeholder?: undefined;
        phase?: undefined;
        value?: undefined;
        onChange?: undefined;
    };
};
export default TextField;
